
.FormContainer {
    margin-inline: auto;
    max-width: 20vw;
    min-width: 400px;
    margin-top: 10vh;
    height: 80vh;
    box-shadow: 0 0 2px 2px var(--primary-color);
}
.FormContainer {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 2rem;
    background-color: var(--another-color);
}


.FormContainer input,
.FormContainer select {
    background-color: var(--background-color);
    color: white;
    border: none;
    padding: 1rem;
    font-size: 1.2rem;
}
.FormContainer input:focus {
    outline: none;
    box-shadow: 0 0 2px 2px var(--primary-color);
    filter: brightness(1.2);
}
.FormContainer input::placeholder {
    color: white;
}

.FormContainer span {
    text-align: right;
}
.FormContainer span a {
    font-weight: 900;
    color: var(--primary-color);
    transition: 0.3s ease-in-out filter;
}
.FormContainer span a:is(:hover, :focus) {
    filter: brightness(1.3);
    outline: none;
}

#submit {
    margin-top: 1rem;
    transition: 0.3s ease-in-out filter, 0.3s ease-in-out background-color;
    cursor: pointer;
}
#submit:focus {
    box-shadow: none;
    background-color: var(--primary-color);
    color: black;
}
#submit:hover {
    filter: brightness(1.2);
}

.spacer {
    flex-grow: 1;
}